import { RawSourceMap } from "source-map";
export interface LegacyRawSourceMap {
    file?: string;
    sourceRoot?: string;
    version: string;
    sources: string[];
    names: string[];
    sourcesContent?: string[];
    mappings: string;
}
/**
 * The type of RawSourceMap changed in a backwards incompatible way.
 * This function adapts code that might return an old version of the
 * RawSourceMap to match the current definition.
 */
export declare function adaptFromLegacySourceMap(sourceMap: LegacyRawSourceMap | RawSourceMap): RawSourceMap;
/**
 * The type of RawSourceMap changed in a backwards incompatible way.
 * This function adapts code that might require an old version of the
 * RawSourceMap.
 */
export declare function adaptToLegacySourceMap(sourceMap: LegacyRawSourceMap | RawSourceMap): LegacyRawSourceMap;
//# sourceMappingURL=adaptSourceMap.d.ts.map